//
//  main.m
//  Name
//
//  Created by aka on 09/02/08.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import <Cocoa/Cocoa.h>

int main(int argc, char *argv[])
{
	NSString *name;
	
	name = @"Masayuki";
	NSLog(@"名前は %@ です。", name);
	
	int	size = [ name length ];
	NSLog(@"文字列のサイズは %d です。", size);
	
	int result = [ name compare: @"Takeko" ];
	NSLog(@"文字列の比較結果は %d です。", result);
	
	name = [ NSString alloc ];
	name = [ name init ];
	size = [ name length ];
	NSLog(@"(1) 名前は %@ で、文字列サイズは %d です。", name, size);
	[ name release ];
	
	name = [ [ NSString alloc ] init ];
	size = [ name length ];
	NSLog(@"(2) 名前は %@ で、文字列サイズは %d です。", name, size);
	[ name release ];
	
	name = [ [ NSString alloc ] initWithString:@"Masayuki" ];
	size = [ name length ];
	NSLog(@"(3) 名前は %@ で、文字列サイズは %d です。", name, size);
	[ name release ];
	
	// 自動解放を利用
	NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
	
	name = [ [ [ NSString alloc ] initWithString:@"Masayuki" ] autorelease ];
	size = [ name length ];
	NSLog(@"(4) 名前は %@ で、文字列サイズは %d です。", name, size);
	
	name = [ NSString stringWithString:@"Masayuki" ];
	size = [ name length ];
	NSLog(@"(5) 名前は %@ で、文字列サイズは %d です。", name, size);
	
	// 自動解放の実行（終了）
	[pool release];
	
    //return NSApplicationMain(argc,  (const char **) argv);
}
