//
//  PileViewController.h
//  Pile
//
//  Created by aka on 09/01/19.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface PileViewController : UIViewController <UIImagePickerControllerDelegate, UINavigationControllerDelegate, UIAlertViewDelegate>
{
	IBOutlet UIImageView	*imageView;	// 合成画像表示用イメージ・ビュー

	UIImagePickerController	*imagePicker;	// イメージ・ピッカー
	UIAlertView	*saveAlert;		// 保存確認アラート
	UIAlertView	*clearAlert;	// 消去確認アラート
}

- (IBAction)openCamera;			// カメラを開く
- (IBAction)openPhotoLibrary;	// 写真アルバムを開く
- (IBAction)clearImage;			// 合成画像を消去する
- (IBAction)saveImage;			// 合成画像を保存する

@end

